Unable to install anyversion of anydesk on ubuntu 18.10.



jglen490

Well-Known Member
Credits
1,981

ravikiranyv

New Member
Credits
0
Hi Jglen490,
Thanks for responding quickly! I had tried the instructions you mentioned,
but it is showing dependencies error.

Regards,
Ravi Kiran.
 

ravikiranyv

New Member
Credits
0
Hi jglen490,
When i run this command "sudo dpkg -i anydesk_4.0.0-1_amd64.deb" it is showing below errors:
Selecting previously unselected package anydesk.
(Reading database ... 215892 files and directories currently installed.)
Preparing to unpack anydesk_4.0.0-1_amd64.deb ...
Failed to stop anydesk.service: Unit anydesk.service not loaded.
Unpacking anydesk (4.0.0-1) ...
dpkg: dependency problems prevent configuration of anydesk:
anydesk depends on libgtkglext1; however:
Package libgtkglext1 is not installed.
anydesk depends on libpango1.0-0 (>= 1.14.0); however:
Package libpango1.0-0 is not installed.

dpkg: error processing package anydesk (--install):
dependency problems - leaving unconfigured
Processing triggers for desktop-file-utils (0.23-3ubuntu3) ...
Processing triggers for gnome-menus (3.13.3-11ubuntu2) ...
Processing triggers for mime-support (3.60ubuntu1) ...
Errors were encountered while processing:
anydesk

----------------------------
then i run the following command:
sudo apt-get install -f error is given below:

Reading package lists... Done
Building dependency tree
Reading state information... Done
Correcting dependencies... Done
The following additional packages will be installed:
libgtkglext1 libpango1.0-0 libpangox-1.0-0
The following NEW packages will be installed:
libgtkglext1 libpango1.0-0 libpangox-1.0-0
0 upgraded, 3 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
Need to get 4,796 B/120 kB of archives.
After this operation, 621 kB of additional disk space will be used.
Do you want to continue? [Y/n] y
Err:1 http://in.archive.ubuntu.com/ubuntu cosmic-updates/universe amd64 libpango1.0-0 amd64 1.42.4-3ubuntu1
404 Not Found [IP: 103.97.84.254 80]
E: Failed to fetch http://in.archive.ubuntu.com/ubuntu/pool/universe/p/pango1.0/libpango1.0-0_1.42.4-3ubuntu1_amd64.deb 404 Not Found [IP: 103.97.84.254 80]
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?

Then it is showing anydesk icon but not opening.

Please help.

Regards,
Y V Ravi Kiran.
 
Last edited:

jglen490

Well-Known Member
Credits
1,981
It looks like you need to upgrade the libpango version and that repo is giving an error.

That makes perfect sense since Ubuntu 18.10 (cosmic cuttlefish) is no longer supported. It was released in October 2018 with 9 months of support. So therefore no further updates are possible for 18.10. You can either go slightly backwards to 18.04 which is an LTS release, or go to 19.10. However, 19.10 goes out of support at the end of July 2020; it too having 9 months of support as a non-LTS.

If you go with 18.04 LTS, at the end of April you can then go to 20.04 which is also an LTS. If you are using Anydesk as a business tool, you should probably stick with the LTS releases - just my opinion.
 



Top